
Redmine - Feature #3099

Last activity time window.

2009-04-02 02:57 - Adam Kubica

Status: New Start date: 2009-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Time window of last activity is between now and some interval to the past.

When project has no activity in that window, there is nothing to display - it's wrong.

Beginning of activity window shouldn't be now but the last activity of the project.

Related issues:

Related to Redmine - Patch #23954: Shows the date of the last activity on Pro... New

History

#1 - 2009-04-02 07:33 - Zarooba Rozruba

1+

I have some projects that are still used, but have not been updated for over a year.

The activity window should load last xx items than between specific dates.

In typical SQL this could be built with

select * from

(

    select date, type, url, subject, short_description, author

    from issues

    where projectid=[xyz] and date < [startdate]

    order by date desc

    limit 100

  union 

    select date, type, url, subject, short_description, author

    from changesets

    where projectid=[xyz] and date < [startdate]

    order by date desc

    limit 100

) 

order by date desc

limit 100

 This query will read 100 last items from two activity types : issues and changesets.

Then, it will merge them, resort them, and display 100 of those.

It is somewhat wastefull (in theory, as each subquery reads more than it needs to), but with semi dead projects this is best visual (as opposed to

having user keep pressing previous months just to see something, or anything).

Please forgive me for lack proper table/column names, am away from my redmine installation.

Kind regards

#2 - 2009-04-02 19:12 - Jean-Philippe Lang

I agree that the current behaviour is not designed for inactive projects but it's clearly not a defect.

#3 - 2009-04-02 19:13 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2009-04-02 19:34 - Adam Kubica
Jean-Philippe Lang wrote:

I agree that the current behaviour is not designed for inactive projects but it's clearly not a defect.

 Not at all "inactive", some projects has low activity but aren't inactive, in this case it's a defect (people are desoriented).

#5 - 2010-08-21 11:57 - Adam Kubica

This is still important, I have some projects with low activity and "Last activity" doesn't show events that happens 2 months ago.

#6 - 2018-03-09 22:20 - Frederico Camara

- File activity_always-r3.3.patch added

- File activity_always-r3.4.patch added

Wow, 9 years!

I made a related Patch #23954 which shows the last activity per project in the admin > project page. I had an idea how to always show something in

the activity windows. Patch attached.

With this, the activities windows don't exactly page anymore, because periods of inactivity are repeated between pages. They show a 30 days (default

configuration) period of activity and expand the start and end times through adjoining 30 day (default configuration) periods of inactivity. Also, it hides

the previous/next buttons if there is no activity before/after.

#7 - 2019-09-21 07:23 - Yuuki NARA

+1

Thanks for great patches

I don't want to repeat the blank history.

Note.

If the following patches have been applied, only two files need to be changed.

https://www.redmine.org/issues/23954#note-11

controllers/activities_controller.rb

app/views/activities/index.html.erb

#8 - 2020-03-29 13:58 - Toshi MARUYAMA

- Related to Patch #23954: Shows the date of the last activity on Projects administration. added

Files

activity_always-r3.3.patch 7.19 KB 2018-03-09 Frederico Camara

activity_always-r3.4.patch 7.38 KB 2018-03-09 Frederico Camara
